GET /virtualservice/{uuid}/overview/

GET /virtualservice/{uuid}/overview/

/virtualservice/{uuid}/overview/

Request
URI
GET
https://{api_host}/api/virtualservice/{uuid}/overview
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns VirtualServiceOverviewResponse of type(s) application/json
{
    "detail": {
        "api_policy": {
            "api_policy_ref": "string",
            "endpoint_categories": {
                "configured_active_count": 0,
                "configured_orphan_count": 0,
                "configured_zombie_count": 0,
                "observed_active_count": 0,
                "observed_counts_available": false,
                "observed_non_api_count": 0,
                "observed_orphan_count": 0,
                "observed_shadow_count": 0,
                "observed_zombie_count": 0
            },
            "file_object": {
                "file_object_ref": "string",
                "state": {
                    "last_changed_time": {
                        "secs": 0,
                        "usecs": 0
                    },
                    "reason": "string",
                    "state": "string"
                }
            },
            "label_mapping_count": 0
        },
        "application_insights": {
            "application_insights_ref": "string",
            "faults": [
                {
                    "description": "string",
                    "fault_type": "string"
                }
            ],
            "learn_from_bots_enabled": false,
            "learning_enabled": false,
            "max_sampling_percent": 0,
            "per_uri_learning_enabled": false
        },
        "l7_policies": {
            "bot_detection_policy": {
                "bot_detection_policy_ref": "string",
                "csrf_policy_ref": "string",
                "enabled_label_matched_rule_count": 0,
                "enabled_rule_count": 0,
                "http_policy_set_ref": "string",
                "label_matched_rule_count": 0,
                "rule_count": 0,
                "sso_policy_ref": "string",
                "waf_policy_ref": "string"
            },
            "csrf_policy": {
                "bot_detection_policy_ref": "string",
                "csrf_policy_ref": "string",
                "enabled_label_matched_rule_count": 0,
                "enabled_rule_count": 0,
                "http_policy_set_ref": "string",
                "label_matched_rule_count": 0,
                "rule_count": 0,
                "sso_policy_ref": "string",
                "waf_policy_ref": "string"
            },
            "http_request_policy": {
                "bot_detection_policy_ref": "string",
                "csrf_policy_ref": "string",
                "enabled_label_matched_rule_count": 0,
                "enabled_rule_count": 0,
                "http_policy_set_ref": "string",
                "label_matched_rule_count": 0,
                "rule_count": 0,
                "sso_policy_ref": "string",
                "waf_policy_ref": "string"
            },
            "http_response_policy": {
                "bot_detection_policy_ref": "string",
                "csrf_policy_ref": "string",
                "enabled_label_matched_rule_count": 0,
                "enabled_rule_count": 0,
                "http_policy_set_ref": "string",
                "label_matched_rule_count": 0,
                "rule_count": 0,
                "sso_policy_ref": "string",
                "waf_policy_ref": "string"
            },
            "http_security_policy": {
                "bot_detection_policy_ref": "string",
                "csrf_policy_ref": "string",
                "enabled_label_matched_rule_count": 0,
                "enabled_rule_count": 0,
                "http_policy_set_ref": "string",
                "label_matched_rule_count": 0,
                "rule_count": 0,
                "sso_policy_ref": "string",
                "waf_policy_ref": "string"
            },
            "sso_policy": {
                "bot_detection_policy_ref": "string",
                "csrf_policy_ref": "string",
                "enabled_label_matched_rule_count": 0,
                "enabled_rule_count": 0,
                "http_policy_set_ref": "string",
                "label_matched_rule_count": 0,
                "rule_count": 0,
                "sso_policy_ref": "string",
                "waf_policy_ref": "string"
            },
            "waf_policy": {
                "bot_detection_policy_ref": "string",
                "csrf_policy_ref": "string",
                "enabled_label_matched_rule_count": 0,
                "enabled_rule_count": 0,
                "http_policy_set_ref": "string",
                "label_matched_rule_count": 0,
                "rule_count": 0,
                "sso_policy_ref": "string",
                "waf_policy_ref": "string"
            }
        },
        "label_profile": {
            "label_count": 0,
            "label_profile_ref": "string",
            "label_statuses": [
                {
                    "action_defined": false,
                    "action_locations": [
                        {
                            "api_policy_ref": "string",
                            "bot_detection_policy_ref": "string",
                            "csrf_policy_ref": "string",
                            "enabled": false,
                            "http_policy_set_ref": "string",
                            "rule_index": 0,
                            "rule_name": "string",
                            "scope": "string",
                            "sso_policy_ref": "string",
                            "waf_policy_ref": "string"
                        }
                    ],
                    "action_without_application": false,
                    "applied_to_endpoints": false,
                    "applied_without_action": false,
                    "endpoint_count": 0,
                    "label_name": "string",
                    "status": {
                        "reason": "string",
                        "state": "string"
                    },
                    "unused": false
                }
            ],
            "unused_label_count": 0
        }
    },
    "health": {
        "se_statuses": [
            {
                "oper_status": {
                    "last_changed_time": {
                        "secs": 0,
                        "usecs": 0
                    },
                    "reason": [
                        "string"
                    ],
                    "reason_code": 0,
                    "reason_code_string": "string",
                    "state": "string"
                },
                "role": "string",
                "se_ref": "string"
            }
        ],
        "vs_config_status": {
            "last_changed_time": {
                "secs": 0,
                "usecs": 0
            },
            "pvt_data": 0,
            "pvt_data_2": 0,
            "reason": [
                "string"
            ],
            "reason_code": 0,
            "reason_code_string": "string",
            "state": "string"
        },
        "vs_oper_status": {
            "last_changed_time": {
                "secs": 0,
                "usecs": 0
            },
            "reason": [
                "string"
            ],
            "reason_code": 0,
            "reason_code_string": "string",
            "state": "string"
        }
    },
    "recommendations": [
        {
            "message": "string",
            "severity": "string"
        }
    ],
    "summary": {
        "action_without_application_count": 0,
        "applied_without_action_count": 0,
        "associations": {
            "api_policy_ref": "string",
            "application_insights_ref": "string",
            "label_profile_ref": "string"
        },
        "recommendation_count": 0,
        "status": "string",
        "unknown_action_label_count": 0
    },
    "virtualservice_ref": "string"
}
object
detail
Optional

detail

object
health
Optional

health

array of object
recommendations
Optional

A list of recommendations, ordered by urgency. Field introduced in 32.1.4. Maximum of 512 items allowed. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
summary
Optional

summary

string
virtualservice_ref
Optional

The Virtual Service this summary is for. It is a reference to an object of type VirtualService. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/virtualservice/{uuid}/overview
                
Virtual Service Operations
GET
GET /virtualservice
POST
POST /virtualservice
GET
GET /virtualservice/{uuid}
PUT
PUT /virtualservice/{uuid}
PATCH
PATCH /virtualservice/{uuid}
DELETE
DELETE /virtualservice/{uuid}
POST
POST /virtualservice/{uuid}/scaleout
POST
POST /virtualservice/{uuid}/scalein
POST
POST /virtualservice/{uuid}/migrate
POST
POST /virtualservice/{uuid}/switchover
POST
POST /virtualservice/clear
POST
POST /virtualservice/{uuid}/resync
POST
POST /virtualservice/{uuid}/rotatekeys
POST
POST /virtualservice/{uuid}/retryplacement
POST
POST /virtualservice/{uuid}/log-recommendation
POST
POST /virtualservice/{uuid}/apply-log-recommendation
GET
GET /virtualservice/{uuid}/runtime/
GET
GET /virtualservice/{uuid}/runtime/detail/
GET
GET /virtualservice/{uuid}/runtime/internal/
GET
GET /virtualservice/{uuid}/udpstat/
GET
GET /virtualservice/{uuid}/tcpstat/
GET
GET /virtualservice/{uuid}/sctpstat/
GET
GET /virtualservice/{uuid}/traffic_clone_stats/
GET
GET /virtualservice/{uuid}/dosstat/
GET
GET /virtualservice/{uuid}/connections/
GET
GET /virtualservice/{uuid}/httpconnections/
GET
GET /virtualservice/{uuid}/httpconnections/detail/
GET
GET /virtualservice/{uuid}/httpstats/
GET
GET /virtualservice/{uuid}/authstats/
GET
GET /virtualservice/{uuid}/learningstats/
GET
GET /virtualservice/{uuid}/httppolicyset/
GET
GET /virtualservice/{uuid}/httppolicysetstats/
GET
GET /virtualservice/{uuid}/dnspolicystats/
GET
GET /virtualservice/{uuid}/networksecuritypolicystats/
GET
GET /virtualservice/{uuid}/networksecuritypolicy/detail/
GET
GET /virtualservice/{uuid}/candidatesehostlist/
GET
GET /virtualservice/{uuid}/placement/
GET
GET /virtualservice/{uuid}/keyval/
GET
GET /virtualservice/{uuid}/keyvalsummary/
GET
GET /virtualservice/{uuid}/keyvalsummaryobjsync/
GET
GET /virtualservice/{uuid}/keyvaldispatch/
GET
GET /virtualservice/{uuid}/keyvalsession/
GET
GET /virtualservice/{uuid}/keyvalsessionsummary/
GET
GET /virtualservice/{uuid}/sslsessioncache/
GET
GET /virtualservice/{uuid}/vslogstats/
GET
GET /virtualservice/{uuid}/aggrvslogstats/
GET
GET /virtualservice/{uuid}/cltrack/
GET
GET /virtualservice/{uuid}/cltracksummary/
GET
GET /virtualservice/{uuid}/client/
GET
GET /virtualservice/{uuid}/clientsummary/
GET
GET /virtualservice/{uuid}/dnstable/
GET
GET /virtualservice/{uuid}/gslbservicedetail/
GET
GET /virtualservice/{uuid}/gslbserviceinternal/
GET
GET /virtualservice/{uuid}/gslbservicealgostat/
GET
GET /virtualservice/{uuid}/gslbservicehmonstat/
GET
GET /virtualservice/{uuid}/geolocationinfo/
GET
GET /virtualservice/{uuid}/geodbinternal/
GET
GET /virtualservice/{uuid}/gslbsiteinternal/
GET
GET /virtualservice/{uuid}/userdefineddatascriptcounters/
GET
GET /virtualservice/{uuid}/l4policysetstats/
GET
GET /virtualservice/{uuid}/sescaleoutstatus/
GET
GET /virtualservice/{uuid}/scaleoutstatus/
GET
GET /virtualservice/{uuid}/scaleoutstatus/detail/
GET
GET /virtualservice/{uuid}/ssopolicystats/
GET
GET /virtualservice/{uuid}/icapstats/
GET
GET /virtualservice/{uuid}/outofbandstats/
GET
GET /virtualservice/{uuid}/botstats/
GET
GET /virtualservice/{uuid}/csrfmetrics/
GET
GET /virtualservice/{uuid}/waapstats/
GET
GET /virtualservice/{uuid}/apipathstats/
GET
GET /virtualservice/{uuid}/waappathtree/
GET
GET /virtualservice/{uuid}/placement/summary/
GET
GET /virtualservice/{uuid}/placement/detail/
GET
GET /virtualservice/{uuid}/placement/status/
GET
GET /virtualservice/{uuid}/keyvalstats/
GET
GET /virtualservice/{uuid}/vhroutes/
GET
GET /virtualservice/{uuid}/overview/